> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Statement



## OpenAPI

````yaml api-reference/openapi-account.json GET /account/{id}/statement
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{id}/statement:
    get:
      tags:
        - Account Documents
      summary: Fetch a Statement
      parameters:
        - description: Account ID
          in: path
          name: id
          required: true
          schema:
            description: Account ID
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                '1099':
                  summary: 1099-INT Statement
                  value:
                    type: '1099'
                    url: >-
                      https://api.treasuryprime.com/account/acct_2074732992/statement/file_11jq1f6w3h58v
                    year: '2020'
                monthly:
                  summary: Monthly Statement
                  value:
                    date: 2018-12
                    type: monthly
                    url: >-
                      https://api.treasuryprime.com/account/acct_1029384756/statement/monthly.ND000123456789.201812.pdf
              schema:
                properties:
                  date:
                    description: >-
                      Statement date in `YYYY-MM` format. Required when `type`
                      is `monthly`. Filterable.
                    type: string
                  id:
                    description: Account ID
                    type: string
                  type:
                    description: 'Type of statement. One of: `monthly`, `1099`. Filterable.'
                    type: string
                  url:
                    description: URL to download the statement
                    type: string
                  year:
                    description: >-
                      Statement year in `YYYY` format. Required when `type` is
                      `1099`. Filterable.
                    type: string
          description: The account.statement
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````